Subject: 27.0.50; bug-reference: Make push button action customizable
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Sun, 04 Aug 2019 04:30:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

`bug-reference-push-button' hardcodes `browse-url' - I have to
redefine/override the complete function definition if I want to, say,
call `debbugs-gnu-bugs' instead of opening a browser when I click on the
bug button.  There is even only a url present in the button data, so I
have to parse out the button number from that url string.  Would be nice
if it would be easier to change the default behavior.

TIA, Michael.